package dan1.examples;
import java.util.Scanner;
public class MojPrviCas {
	
	public static void main(String[] args) {
		
		

		Scanner sc = new Scanner(System.in);
		int a = sc.nextInt();
		int b = sc.nextInt();	
		int c = sc.nextInt();
		sc.close();

String as = Integer.toString(a);
String bs = Integer.toString(b);
String cs = Integer.toString(c);
String q,w,e,r,t,y;
int max = 0 ;
q = as + bs + cs;
w =	as + cs + bs;
e = bs + as +cs ;
r = bs +cs +as;
t = cs+ as +bs;
y = cs +bs +as;
String[] x = new String[5];
x[0] = q;
x[1] = w;
x[2] = e;
x[3] = r;
x[4] = t;
x[5]= y;
for (int i=0; i <6;i++) {
	
		if (Integer.parseInt(x[i]) > max) {
	
				max= Integer.parseInt(x[i]);
		}
	
	
}


System.out.println(max);
	}

}